librevenge::DrawingSVG Namespace Reference documentation

Classes | Functions
librevenge::DrawingSVG Namespace Reference

## Classes
struct | Table
| basic class used to store table information More...

## Functions
static double | getInchValue (librevenge::RVNGProperty const &prop)
static std::string | doubleToString (const double value)
static unsigned | stringToColour (const RVNGString &s)

## Function Documentation

## ◆ doubleToString()

static std::string librevenge::DrawingSVG::doubleToString | ( | const double | value | ) |
| static

Referenced by librevenge::RVNGSVGDrawingGenerator::drawEllipse(), librevenge::RVNGSVGDrawingGenerator::drawGraphicObject(), librevenge::RVNGSVGDrawingGenerator::drawPath(), librevenge::RVNGSVGDrawingGeneratorPrivate::drawPolySomething(), librevenge::RVNGSVGDrawingGenerator::drawRectangle(), librevenge::RVNGDoubleProperty::getStr(), librevenge::RVNGInchProperty::getStr(), librevenge::RVNGPercentProperty::getStr(), librevenge::RVNGPointProperty::getStr(), librevenge::RVNGSVGDrawingGenerator::openSpan(), librevenge::RVNGSVGDrawingGenerator::openTableCell(), librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle(), librevenge::RVNGSVGDrawingGenerator::startPage(), librevenge::RVNGSVGDrawingGenerator::startTextObject(), and librevenge::RVNGSVGDrawingGeneratorPrivate::writeStyle().

## ◆ getInchValue()

static double librevenge::DrawingSVG::getInchValue | ( | librevenge::RVNGProperty const & | prop | ) |
| static

Referenced by librevenge::RVNGSVGDrawingGenerator::drawEllipse(), librevenge::RVNGSVGDrawingGenerator::drawGraphicObject(), librevenge::RVNGSVGDrawingGenerator::drawPath(), librevenge::RVNGSVGDrawingGeneratorPrivate::drawPolySomething(), librevenge::RVNGSVGDrawingGenerator::drawRectangle(), librevenge::DrawingSVG::Table::openRow(), librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle(), librevenge::RVNGSVGDrawingGenerator::startPage(), librevenge::RVNGSVGDrawingGenerator::startTextObject(), librevenge::DrawingSVG::Table::Table(), and librevenge::RVNGSVGDrawingGeneratorPrivate::writeStyle().

## ◆ stringToColour()

static unsigned librevenge::DrawingSVG::stringToColour | ( | const RVNGString & | s | ) |
| static

Referenced by librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle().